﻿#!/usr/bin/perl -w
# fasta 形式で保存した塩基配列をアミノ酸配列に翻訳します．
# perl NucTranslater.pl 78644093.txt

use Bio::Perl;
use Bio::SeqIO;

$file = shift;
$in = Bio::SeqIO -> new('-file' => "$file", '-format' => "Fasta");
$seq = $in->next_seq();
print "\nNucleotide:\n",$seq->seq(),"\n";

#$translate = $seq->translate;
#print "\nTranslation:\n",$translate->seq(),"\n\n";

$translate = $seq->translate;
print "\nFrame1:\n" ,$translate->seq();
$translate = $seq->translate(undef,undef,1);
print "\n\nFrame2\n: " ,$translate->seq();
$translate = $seq->translate(undef,undef,2);
print "\n\nFrame3\n: " ,$translate->seq(), "\n\n"